package demo;

import org.eclipse.equinox.app.IApplication;
import org.eclipse.rap.rwt.application.EntryPoint;
import org.eclipse.rap.rwt.service.ServerPushSession;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;

public class DemoEntryPoint implements EntryPoint {

	/* (non-Javadoc)
	 * @see org.eclipse.rap.rwt.application.EntryPoint#createUI()
	 */
	@Override
	public int createUI() {
		int result = IApplication.EXIT_OK;
		Display display = PlatformUI.createDisplay();
		final ServerPushSession pushSession = new ServerPushSession();
		try {
			pushSession.start();
			result = PlatformUI.createAndRunWorkbench(display, new DemoWorkbenchAdvisor());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			pushSession.stop();
			display.dispose();
		}
		return result;
	}

}
